import { type Base, genBase } from "./_base"

export interface Material extends Base {
  code: string
  name: string
  uom_code: string
  stock: number
}

export function genMaterial(): Material {
  return {
    ...genBase(),
    code: '',
    name: '',
    uom_code: '',
    stock: 0,
  }
}
